Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on Jul 24, 2012
  1. @jvshahid

    we don't need the if guard for jruby anymore, since the Gemfile const…

    jvshahid authored
    …rained these dependencies to MRI and Rubinius.
  2. @jvshahid

    modify the bundler:gemfile task to add the ':platform => :ruby' const…

    jvshahid authored
    …raint to rexical and racc in the generated Gemfile.
Commits on Jul 21, 2012
  1. @jvshahid
Commits on Jul 8, 2012
  1. @flavorjones
Commits on Jun 22, 2012
  1. @jvshahid
Commits on Jun 17, 2012
  1. @jvshahid
Commits on Jun 12, 2012
  1. @flavorjones
  2. @flavorjones
Commits on Jun 8, 2012
  1. @flavorjones
  2. @flavorjones
Commits on Feb 28, 2012
  1. @flavorjones
  2. @flavorjones
  3. @flavorjones
Commits on Feb 19, 2012
  1. @flavorjones
Commits on Feb 5, 2012
  1. @tenderlove

    maybe try without isolate?

    tenderlove authored
  2. @tenderlove

    activating isolate plugin

    tenderlove authored
Commits on Jan 14, 2012
  1. @jfirebaugh

    Downgrade to hoe-debugging 1.0.1

    jfirebaugh authored
    1.0.2 causes `rake` to fail:
    
    jbarnette/hoe-debugging#1
Commits on Nov 13, 2011
  1. @flavorjones
Commits on Aug 9, 2011
  1. @yokolet
Commits on Jul 27, 2011
  1. @yokolet

    Tweak for a platform that doesn't have MinGW installed.

    yokolet authored
    When MinGW is not installed, rake won't run on CRuby. This change catches the exception raised from "require 'tasks/cross_compile'" and switches whether cross compile should be done or not. At least once, JRuby people need to run rake using CRuby to generate nokogiri/css/parse.rb . However, most people (me too!) don't have MinGW installed and are unable to compile Nokogiri.
    
    One more tweak is added. When using rvm with gemset, racc command can't be found in default gemset's path. So, only when GEM_HOME exists, "#{ENV['GEM_HOME']}/bin/racc" will be added to a search path.
Commits on Jul 1, 2011
  1. @flavorjones
Commits on Jun 30, 2011
  1. @flavorjones
  2. @flavorjones
  3. @flavorjones
  4. @flavorjones
Commits on Jun 16, 2011
  1. @flavorjones
  2. @flavorjones
Commits on Jun 2, 2011
  1. @tenderlove
Commits on May 25, 2011
  1. @flavorjones
  2. @flavorjones
  3. @flavorjones
Commits on Apr 7, 2011
  1. @flavorjones
Commits on Apr 6, 2011
  1. @tenderlove

    requiring ruby >= 1.8.7

    tenderlove authored
Commits on Jan 31, 2011
  1. @drbrain

    Shorten long lines

    drbrain authored
  2. @drbrain

    Work around rake not understanding platforms, allows Nokogiri to buil…

    drbrain authored
    …d on jruby with rubygems 1.4+
Something went wrong with that request. Please try again.